<?
require("config.php");
require("func.php");

head();

echo head . 'Регистрация' . div;

if ( $config['reg'] == 1) {
    echo head . 'Регистрация' . div;
    echo link1 . 'Регистрация временно закрыта' . div;
    foot();
    exit();
    
}

if ( !empty($id_session) ) {
    
    echo link1 . 'Вы уже зарегистрированы' . div;
    foot();
    exit();
    
}

if ( $config['status_reg'] == 1 ) {
    
    echo link1 . 'Регистрация закрыта' . div;
    foot();
    exit();
    
}

switch ( $_GET['shag'] ) {
    default:
    if (isset($_POST['submit'])) {
        if ( empty( $_POST['login'] ) ) $err = 'Не ввели логин';
        if ( ctype_digit($_POST['login']) ) $err = 'Ваш логин не должен состоять из одних цифр';
        if (strlen($_POST['login']) > 15) $err = 'Слишком длинный логин';
        if (strlen($_POST['login']) < 4) $err = 'Слишком короткий логин';
        $first_l = mb_substr($_POST['login'], 0, 1, 'UTF8');
	    $last_l = mb_substr($_POST['login'], -1, 1, 'UTF8');
        if (!preg_match('#^([a-z1-9_])+$#ui', $_POST['login'])) $err = 'Ник может содержать только знаки латинского алфавита и цифры(кроме 0)';
        if (!preg_match('#^([a-z1-9])+$#ui', $first_l)) $err = 'Ник должен начинаться с латинской буквы или цифры';
        if (!preg_match('#^([a-z1-9])+$#ui', $last_l)) $err = 'Ник должен заканчиваться латинской буквой или цифрой';
        if(mysql_num_rows(mysql_query("SELECT * FROM `profile` WHERE `login`='".html($_POST['login'])."'"))!==0) $err = 'Такой ник уже есть в базе.'; 
        
        if (isset($err))
            echo link1 . '<b>Вознила ошибка:</b> ' . $err . '</div>';
        else {
            $_SESSION['login'] = html($_POST['login']);
            echo rew('reg.php?shag=2');
        }
    }
    echo '<form action="reg.php" method="post" name="form">';
    echo link1 . 'Шаг 1: <b>Логин</b><br/ >'; 
    echo 'Логин типа 123а, admin, moder, состоящие из одних цифр и выдающие себя за администрацию, содержащие мат будут удаляться без каких либо выяснений<br/><br/>';
    echo '[Min 4, Max. 15, Eng, 0-9]<br/ > <input name="login" type="text" maxlength="15" /><br/ >';
    echo '<input name="submit" type="submit" class="button" value="Проверить" /></form>';
    echo div;
    break;
    
    case '2':
    if (isset($_POST['submit'])) {
        $login = html($_POST['login']);
        $pass = html($_POST['pass']);
        $email = html($_POST['email']);
        $name = html($_POST['name']);
        $sex = num($_POST['sex']);
        $day = num($_POST['day']);
        $month = num($_POST['month']);
        $year = num($_POST['year']);
        $strana = num($_POST['strana']);
        $city = html($_POST['city']);
        $brauser=html($_SERVER['HTTP_USER_AGENT']);
        $ip=html($_SERVER['REMOTE_ADDR']);
        
        if ($sex == 1)
            $sex = 1;
        else
            $sex = 0;
        
        if ( empty( $login ) ) $err = 'Не ввели логин';
        if ( ctype_digit($login) ) $err = 'Ваш логин не должен состоять из одних цифр';
        if (strlen($login) > 15) $err = 'Слишком длинный логин';
        if (strlen($login) < 4) $err = 'Слишком короткий логин';
        $first_l = mb_substr($login, 0, 1, 'UTF8');
	    $last_l = mb_substr($login, -1, 1, 'UTF8');
        if (!preg_match('#^([a-z1-9_])+$#ui', $login)) $err = 'Ник может содержать только знаки латинского алфавита и цифры(кроме 0)';
        if (!preg_match('#^([a-z1-9])+$#ui', $first_l)) $err = 'Ник должен начинаться с латинской буквы или цифры';
        if (!preg_match('#^([a-z1-9])+$#ui', $last_l)) $err = 'Ник должен заканчиваться латинской буквой или цифрой';
        if(mysql_num_rows(mysql_query("SELECT * FROM `profile` WHERE `login`='".$login."'"))!==0) $err = 'Такой ник уже есть в базе.'; 
        
        if (empty($pass)) $err = 'Не ввели пароль';
        if (strlen($pass) > 25) $err = 'Слишком длинный пароль';
        if (strlen($pass) < 6) $err = 'Слишком короткий пароль'; 
        
        if (empty($name)) $err = 'Не ввели имя';
        if (strlen($name) > 20) $err = 'Слишком длинное имя';
        
        if (strlen($email) > 25) $err = 'Слишком длинный E-Mail';
     
        
        if (empty($day)) $err = 'Не выбрали день рождения';
        if (empty($month)) $err = 'Не выбрали месяц рождения';
        if (empty($year)) $err = 'Не выбрали год рождения';
        
        if (isset($err))
            echo '<b>Возникла ошибка: </b>' . $err . '<br/>';
            
        else {
            if (mysql_query("INSERT INTO `profile` SET  `sett_flirt` = '1', `city` = '".$city."', `country` = '".$strana."', `name` = '".$name."', `d` = '".$day."', `m` = '".$month."', `g` = '".$year."',`set_img_v` = '100', `set_img_s` = '100', `date_reg` = '".time()."', `mail` = '".$email."', `sex` = '".$sex."', `login` = '".$login."', `pass` = '".$pass."', `max` = '20', `obnov` = '10', `brauser` = '".$brauser."', `ip` = '".$ip."', `msg_themes` = '5', `set_themes` = '5', `history` = '10', `cena` = '50', `kup` = '1'")) {
                $last = mysql_insert_id();
                mysql_query("OPTIMIZE TABLE `profile`");
                mysql_query("ANALYZE TABLE `profile`");
                
                $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$last."'"));
                $correct_lp = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `profile` WHERE `login` = '".$login."' && `pass` = '".$pass."'"), 0);
                if($correct_lp > 0)
                    $_SESSION['id'] = $user['id'];
                
                
                echo katalog . 'Добро пожаловать на сайт, <b>'.$user['name'].'</b>! =)<br/><br/>';
                echo '<b>Данные для авторизации:</b> Запомните, а лучше запишите))<br/>';
                echo 'Логин: <b>'.$user['login'].'</b><br/>';
                echo 'ID: <b>'.$user['id'].'</b><br/>';
                echo 'Пароль: <b>'.$user['pass'].'</b><br/><br/>';

                
                echo '<b>Навигация:</b><br/>';
                echo ' - <b><a href="'.$id_session.'">Моя страница</a></b><br/>Где вы можите просмотреть вашу анкету.<br/><br/>';
                echo ' - <b><a href="cabinet.php">Мой кабинет</a></b><br/>Ваш пульт управления.<br/><br/>';
                echo ' - <b><a href="myinfo/">Редактировать анкету</a></b><br/>Здесь вы можете подробно о себе написать.<br/><br/>';
                echo ' - <b><a href="chat/">Чат</a></b><br/>Здесь вы можете пообщаться с другими пользователями сайта, отвечать на вопросы умника и т.д.<br/><br/>';
                echo ' - <b><a href="forum/">Форум</a></b><br/>Здесь вы можете изложить свои мысли, оставить свою точку зрения, по спорить, по обсуждать что либо.<br/><br/>';
                echo ' - <b><a href="games.php">Онлайн игры</a></b><br/>Подходящий вариант убить время на досуге.<br/><br/>';
                echo ' - <b><a href="blog/">Блог</a></b><br/>Здесь вы можете рассказать о себе, и не только о себе. :)<br/><br/>';
                echo ' - <b><a href="index.php">Главная сайта</a></b><br/>Главная страница<br/><br/>' . div;
    } else {
        echo '<b>Ошибка при регистрации</b><br/>';
    }
    }
    foot();
    exit();
    }
    echo '<form action="reg.php?shag=2" method="post" name="form">';
    echo link2;
    echo '* <b>Логин</b> [Min 4, Max. 15]<br/ > <input name="login" type="text" value="'.$_SESSION['login'].'" maxlength="15" /><br/ >';
    echo '* <b>Пароль</b> [Min 6, Max. 25]<br/ > <input name="pass" type="text" maxlength="25" /><br/ >';
    echo '<b>E-Mail</b> [Max. 25]<br/ > <input name="email" type="text" maxlength="25" /><br/><br/>';
    echo '* <b>Имя</b> [Max. 15]<br/ > <input name="name" type="text" maxlength="25" /><br/ >';
    echo '* <b>Вы:</b> <input type="radio" name="sex" value="1"/> Парень <input type="radio" name="sex" value="2"/> Девушка <br/><br/>';
    echo '* <b>Дата рождения:</b><br/>
    <select name="day">';
    echo '<option value="0">день</option>';
    for($i=1; $i<32; $i++) {
    echo '<option value="'.$i.'">'.$i.'</option>';
    }
    echo '</select><br/>';
    echo '<select name="month">
        <option value="0">месяц</option>
        <option value="1">января</option>
        <option value="2">февраля</option>
        <option value="3">марта</option>
        <option value="4">апреля</option>
        <option value="5">мая</option>
        <option value="6">июня</option>
        <option value="7">июля</option>
        <option value="8">августа</option>
        <option value="9">сентября</option>
        <option value="10">октября</option>
        <option value="11">ноября</option>
        <option value="12">декабря</option>
        </select><br/>';
    echo '<select name="year"><option value="год">год</option>';
        for($i=2000; $i>1950; $i--) {
        echo '<option value="'.$i.'">'.$i.'</option>';
        }
        echo '</select><br /><br/>';
        
    echo '<b>Место проживания:</b><br/><select name="strana">
        <option value="0">Страна</option>
        <option value="1">Украина</option>
        <option value="2">Россия</option>
        <option value="3">Белоруссия</option>
        <option value="4">Узбекистан</option>
        <option value="5">Казахстан</option>
        <option value="6">Туркменстан</option>
        <option value="7">Киргизия</option>
        <option value="8">Киргизия</option>
        <option value="9">Армения</option>
        <option value="10">Молдавия</option>
        <option value="11">Таджикистан</option>
        <option value="12">Латвия</option>
        <option value="13">Литва</option>
        <option value="14">Эстония</option>
        <option value="15">Грузия</option>
        </select><br/>
        <b>Город:</b><br/><input name="city" type="text" maxlength="25""/><br/ >';
        echo '<input name="submit" type="submit" class="button" value="Готово" /></form>' . div;  
    echo div;
    break;
}
echo div;
foot();
?>